#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './editconnection.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "editconnection.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <klineedit.h>
#include <qcombobox.h>
#include <qwidgetstack.h>
#include <qwidget.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a EditConnectionDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
EditConnectionDialog::EditConnectionDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "EditConnectionDialog" );
    EditConnectionDialogLayout = new QVBoxLayout( this, 11, 6, "EditConnectionDialogLayout"); 

    labelInformation = new QLabel( this, "labelInformation" );
    EditConnectionDialogLayout->addWidget( labelInformation );

    frameHeader = new QGroupBox( this, "frameHeader" );
    frameHeader->setFrameShape( QGroupBox::GroupBoxPanel );
    frameHeader->setFrameShadow( QGroupBox::Raised );
    frameHeader->setColumnLayout(0, Qt::Vertical );
    frameHeader->layout()->setSpacing( 6 );
    frameHeader->layout()->setMargin( 11 );
    frameHeaderLayout = new QGridLayout( frameHeader->layout() );
    frameHeaderLayout->setAlignment( Qt::AlignTop );

    textLabel1 = new QLabel( frameHeader, "textLabel1" );

    frameHeaderLayout->addWidget( textLabel1, 1, 0 );

    textLabel2 = new QLabel( frameHeader, "textLabel2" );

    frameHeaderLayout->addWidget( textLabel2, 2, 0 );

    editName = new KLineEdit( frameHeader, "editName" );

    frameHeaderLayout->addWidget( editName, 1, 1 );

    cboServices = new QComboBox( FALSE, frameHeader, "cboServices" );

    frameHeaderLayout->addWidget( cboServices, 2, 1 );
    EditConnectionDialogLayout->addWidget( frameHeader );

    widgetStack = new QWidgetStack( this, "widgetStack" );
    widgetStack->setFrameShape( QWidgetStack::NoFrame );

    WStackPage = new QWidget( widgetStack, "WStackPage" );
    WStackPageLayout = new QGridLayout( WStackPage, 1, 1, 0, 6, "WStackPageLayout"); 
    widgetStack->addWidget( WStackPage, 0 );
    EditConnectionDialogLayout->addWidget( widgetStack );
    spacer6 = new QSpacerItem( 20, 430, QSizePolicy::Minimum, QSizePolicy::Expanding );
    EditConnectionDialogLayout->addItem( spacer6 );

    frameButtons = new QGroupBox( this, "frameButtons" );
    frameButtons->setFrameShape( QGroupBox::NoFrame );
    frameButtons->setFrameShadow( QGroupBox::Raised );
    frameButtons->setColumnLayout(0, Qt::Vertical );
    frameButtons->layout()->setSpacing( 6 );
    frameButtons->layout()->setMargin( 0 );
    frameButtonsLayout = new QHBoxLayout( frameButtons->layout() );
    frameButtonsLayout->setAlignment( Qt::AlignTop );
    spacer1 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    frameButtonsLayout->addItem( spacer1 );

    pushOK = new KPushButton( frameButtons, "pushOK" );
    frameButtonsLayout->addWidget( pushOK );

    pushCancel = new KPushButton( frameButtons, "pushCancel" );
    frameButtonsLayout->addWidget( pushCancel );
    EditConnectionDialogLayout->addWidget( frameButtons );
    languageChange();
    resize( QSize(412, 336).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cboServices, SIGNAL( activated(int) ), this, SLOT( serviceSelected(int) ) );
    connect( pushOK, SIGNAL( clicked() ), this, SLOT( ok() ) );
    connect( pushCancel, SIGNAL( clicked() ), this, SLOT( cancel() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
EditConnectionDialog::~EditConnectionDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void EditConnectionDialog::languageChange()
{
    setCaption( tr2i18n( "Edit Connection" ) );
    labelInformation->setText( tr2i18n( "Please select the Connection Service you want to create" ) );
    frameHeader->setTitle( tr2i18n( "Connection" ) );
    textLabel1->setText( tr2i18n( "Name" ) );
    textLabel2->setText( tr2i18n( "Service" ) );
    frameButtons->setTitle( QString::null );
    pushOK->setText( tr2i18n( "OK" ) );
    pushCancel->setText( tr2i18n( "Cancel" ) );
}

void EditConnectionDialog::serviceSelected(int)
{
    qWarning( "EditConnectionDialog::serviceSelected(int): Not implemented yet" );
}

void EditConnectionDialog::cancel()
{
    qWarning( "EditConnectionDialog::cancel(): Not implemented yet" );
}

void EditConnectionDialog::ok()
{
    qWarning( "EditConnectionDialog::ok(): Not implemented yet" );
}

#include "editconnection.moc"
