#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './errormsg.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "errormsg.h"

#include <qvariant.h>
#include <kpushbutton.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kpushbutton.h"

/*
 *  Constructs a ErrorMessageWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ErrorMessageWidget::ErrorMessageWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ErrorMessageWidget" );
    ErrorMessageWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "ErrorMessageWidgetLayout"); 

    pushOK = new KPushButton( this, "pushOK" );

    ErrorMessageWidgetLayout->addWidget( pushOK, 2, 2 );

    labelMessage = new QLabel( this, "labelMessage" );
    labelMessage->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, labelMessage->sizePolicy().hasHeightForWidth() ) );
    labelMessage->setAlignment( int( QLabel::AlignVCenter ) );

    ErrorMessageWidgetLayout->addMultiCellWidget( labelMessage, 1, 1, 1, 2 );

    labelTitle = new QLabel( this, "labelTitle" );
    QFont labelTitle_font(  labelTitle->font() );
    labelTitle_font.setBold( TRUE );
    labelTitle->setFont( labelTitle_font ); 

    ErrorMessageWidgetLayout->addMultiCellWidget( labelTitle, 0, 0, 1, 2 );
    spacer1 = new QSpacerItem( 80, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ErrorMessageWidgetLayout->addItem( spacer1, 2, 1 );

    labelPixmap = new QLabel( this, "labelPixmap" );
    labelPixmap->setScaledContents( FALSE );

    ErrorMessageWidgetLayout->addMultiCellWidget( labelPixmap, 0, 2, 0, 0 );
    languageChange();
    resize( QSize(215, 104).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushOK, SIGNAL( clicked() ), this, SLOT( close() ) );

    // tab order
}

/*
 *  Destroys the object and frees any allocated resources
 */
ErrorMessageWidget::~ErrorMessageWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ErrorMessageWidget::languageChange()
{
    pushOK->setText( tr2i18n( "OK" ) );
    labelMessage->setText( tr2i18n( "Error Message" ) );
    labelTitle->setText( tr2i18n( "Error Title" ) );
    labelPixmap->setText( QString::null );
}

#include "errormsg.moc"
